                            (*+-----------------+
                              |  Chronomtrage  |
                              +-----------------+*)
open Unix;;

(* Heure en secondes *)
let heure() = (times()).tms_utime;;

(* chronomtre l'excution d'une fonction  *)
(* n = nombre de rptitions               *)
(* f = fonction  itrer                   *)
(* x = argument de f                       *)
(* renvoie la dure moyenne d'un appel (s) *)
let chrono n f x =
  let t=heure() in
  for i=1 to n do f(x) done;
  (heure() -. t)/.(float n)
;;

